-- name: [CS] Madness Combat Pack
-- description: Characters from the Madness Combat series.
--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md
]]

local E_MODEL_2BDAMNED_MODEL = smlua_model_util_get_id("tobdamned_geo")

local TEXT_MOD_NAME = "Madness Combat Pack"

local VOICETABLE_2BDAMNED = {
    [CHAR_SOUND_ATTACKED] = 'battacked.ogg',
	[CHAR_SOUND_EEUH] = 'byaugh.ogg',
	[CHAR_SOUND_LETS_A_GO] = 'dontletemlive.ogg',
    [CHAR_SOUND_DROWNING] = 'bdying.ogg',
    [CHAR_SOUND_DYING] = 'bdying.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'bgrah.ogg',
    [CHAR_SOUND_HAHA] = 'bok.ogg',
    [CHAR_SOUND_HAHA_2] = 'blaugh.ogg',
	[CHAR_SOUND_DOH] = 'hellthathurts.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'sendforacleaner.ogg',
    [CHAR_SOUND_HOOHOO] = 'buhhuh.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'surviving.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'bokiedokie.ogg',
    [CHAR_SOUND_ON_FIRE] = 'bfire.ogg',
    [CHAR_SOUND_OOOF] = 'bguh.ogg',
    [CHAR_SOUND_OOOF2] = 'bgrunt.ogg',
	[CHAR_SOUND_HRMM] = 'bgrunt.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'bpunch1.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'bpunch2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'bpunch3.ogg',
	[CHAR_SOUND_UH] = 'bmhm.ogg',
    [CHAR_SOUND_UH2] = 'bmhm2.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'hyeahhh.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'byup.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'bscream.ogg',
    [CHAR_SOUND_WAH2] = 'byaugh.ogg',
    [CHAR_SOUND_WHOA] = 'bgrunt.ogg',
    [CHAR_SOUND_YAHOO] = 'bmm.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'bjump1.ogg', 'bjump2.ogg', 'bjump3.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'bpunch1.ogg', 'bpunch2.ogg', 'bpunch3.ogg'},
}

if _G.charSelectExists then
    _G.charSelect.character_add("2BDamned", {"Send for a cleaner."}, "eldritchmeat", {r = 150, g = 142, b = 141}, E_MODEL_2BDAMNED_MODEL, CT_MARIO, get_texture_info("2bdamned"))

    _G.charSelect.character_add_voice(E_MODEL_2BDAMNED_MODEL, VOICETABLE_2BDAMNED)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_2BDAMNED then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_2BDAMNED then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#a32317\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end


local E_MODEL_SANFORD_MODEL = smlua_model_util_get_id("sanford_geo")

local VOICETABLE_SANFORD = {
    [CHAR_SOUND_ATTACKED] = 'spain2.ogg',
	[CHAR_SOUND_EEUH] = 'spain4.ogg',
	[CHAR_SOUND_LETS_A_GO] = 'letsgo.ogg',
    [CHAR_SOUND_DROWNING] = 'sdrowning.ogg',
    [CHAR_SOUND_DYING] = 'livingisoverrated.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'boom.ogg',
    [CHAR_SOUND_HAHA] = 'shaha.ogg',
    [CHAR_SOUND_HAHA_2] = 'sheha.ogg',
	[CHAR_SOUND_DOH] = 'awshit.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'hellyeah.ogg',
    [CHAR_SOUND_HOOHOO] = 'boomyeah.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'imreadyformore.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'yeahalright.ogg',
    [CHAR_SOUND_ON_FIRE] = 'burning.ogg',
    [CHAR_SOUND_OOOF] = 'oof.ogg',
    [CHAR_SOUND_OOOF2] = 'oof2.ogg',
	[CHAR_SOUND_HRMM] = 'ungh.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'spunch1.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'spunch2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'spunch3.ogg',
	[CHAR_SOUND_UH] = 'pain4.ogg',
    [CHAR_SOUND_UH2] = 'ungh.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'getbent.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'twirl.ogg',
    [CHAR_SOUND_WAAAOOOW] = {'mom.ogg', 'ahh.ogg'},
    [CHAR_SOUND_WAH2] = 'sjump3.ogg',
    [CHAR_SOUND_WHOA] = 'boom.ogg',
    [CHAR_SOUND_YAHOO] = 'yeah.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'sjump1.ogg', 'sjump2.ogg', 'sjump3.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'spunch1.ogg', 'spunch2.ogg', 'spunch3.ogg'},
}

if _G.charSelectExists then
    _G.charSelect.character_add("Sanford", {"Let's go, chuckleheads!"}, "eldritchmeat", {r = 47, g = 47, b = 66}, E_MODEL_SANFORD_MODEL, CT_MARIO, get_texture_info("sanford"))

    _G.charSelect.character_add_voice(E_MODEL_SANFORD_MODEL, VOICETABLE_SANFORD)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SANFORD then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SANFORD then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#a32317\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end


local E_MODEL_TRICKY_MODEL = smlua_model_util_get_id("tricky_geo")

local VOICETABLE_TRICKY = {
    [CHAR_SOUND_ATTACKED] = 'tow.ogg',
	[CHAR_SOUND_EEUH] = 'brmm.ogg',
	[CHAR_SOUND_LETS_A_GO] = 'fine.ogg',
    [CHAR_SOUND_DROWNING] = 'nononodrown.ogg',
    [CHAR_SOUND_DYING] = 'tdeath.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'dieee.ogg',
    [CHAR_SOUND_HAHA] = 'hehehehaha.ogg',
    [CHAR_SOUND_HAHA_2] = 'evilasslaugh.ogg',
	[CHAR_SOUND_DOH] = 'brmm.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'tyes.ogg',
    [CHAR_SOUND_HOOHOO] = 'ehhuh.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'cantkillaclown.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'uhhuh.ogg',
    [CHAR_SOUND_ON_FIRE] = 'whatfire.ogg',
    [CHAR_SOUND_OOOF] = 'mpmh.ogg',
    [CHAR_SOUND_OOOF2] = 'mmmyar.ogg',
	[CHAR_SOUND_HRMM] = 'mpmh.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'tpunch1.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'tpunch2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'tpunch3.ogg',
	[CHAR_SOUND_UH] = 'ower.ogg',
    [CHAR_SOUND_UH2] = 'mmmyar.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'youredead.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'tdie.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'whatfire.ogg',
    [CHAR_SOUND_WAH2] = 'ower.ogg',
    [CHAR_SOUND_WHOA] = 'mmmyar.ogg',
    [CHAR_SOUND_YAHOO] = 'trickyyea.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'tjump1.ogg', 'tjump2.ogg', 'tjump3.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'tpunch1.ogg', 'tpunch2.ogg', 'tpunch3.ogg'},
}

if _G.charSelectExists then
    _G.charSelect.character_add("Tricky", {"Can't kill a clown, the clown kills YOU!"}, "eldritchmeat", {r = 15, g = 64, b = 8}, E_MODEL_TRICKY_MODEL, CT_MARIO, get_texture_info("tricky"))

    _G.charSelect.character_add_voice(E_MODEL_TRICKY_MODEL, VOICETABLE_TRICKY)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_TRICKY then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_TRICKY then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#a32317\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end


local E_MODEL_HANKJ_MODEL = smlua_model_util_get_id("hankj_geo")

local VOICETABLE_HANKJ = {
    [CHAR_SOUND_ATTACKED] = 'hankishurt.ogg',
	[CHAR_SOUND_EEUH] = 'exhale5.ogg',
	[CHAR_SOUND_LETS_A_GO] = {'pulp1.ogg', 'pulp2.ogg'},
    [CHAR_SOUND_DROWNING] = {'pulp1.ogg', 'pulp2.ogg'},
    [CHAR_SOUND_DYING] = 'hankisdead.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'hankjp2.ogg',
    [CHAR_SOUND_HAHA] = 'exhale.ogg',
    [CHAR_SOUND_HAHA_2] = 'exhale2.ogg',
	[CHAR_SOUND_DOH] = 'pulp1.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'hankisdead.ogg',
    [CHAR_SOUND_HOOHOO] = 'hankjp3.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'exhale4.ogg',
    [CHAR_SOUND_ON_FIRE] = 'pulp2.ogg',
    [CHAR_SOUND_OOOF] = 'pain1.ogg',
    [CHAR_SOUND_OOOF2] = 'pain2.ogg',
	[CHAR_SOUND_HRMM] = 'burger.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'hankjp1.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'hankjp2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'hankjp3.ogg',
	[CHAR_SOUND_UH] = 'pain1.ogg',
    [CHAR_SOUND_UH2] = 'pain2.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'hankjp2.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'pulp1.ogg',
    [CHAR_SOUND_WAAAOOOW] = {'pulp2.ogg', 'hankisdead.ogg'},
    [CHAR_SOUND_WAH2] = 'pulp1.ogg',
    [CHAR_SOUND_WHOA] = 'exhale3.ogg',
    [CHAR_SOUND_YAHOO] = 'hankjp3.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'hankjp1.ogg', 'hankjp2.ogg', 'hankjp3.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'exhale.ogg', 'exhale2.ogg', 'exhale3.ogg'},
}

if _G.charSelectExists then
    _G.charSelect.character_add("Hank J. Wimbleton", {"KNOCK IT OFF"}, "eldritchmeat", {r = 145, g = 10, b = 28}, E_MODEL_HANKJ_MODEL, CT_MARIO, get_texture_info("hankj"))

    _G.charSelect.character_add_voice(E_MODEL_HANKJ_MODEL, VOICETABLE_HANKJ)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_HANKJ then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_HANKJ then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#a32317\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end


local E_MODEL_DEIMOS_MODEL = smlua_model_util_get_id("deimos_geo")

local TEXT_MOD_NAME = "Deimos"

local VOICETABLE_DEIMOS = {
    [CHAR_SOUND_ATTACKED] = 'agh.ogg',
	[CHAR_SOUND_EEUH] = 'hagh.ogg',
	[CHAR_SOUND_LETS_A_GO] = 'ohyeah.ogg',
    [CHAR_SOUND_DROWNING] = 'drowning.ogg',
    [CHAR_SOUND_DYING] = 'deimosisdead.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'grrah.ogg',
    [CHAR_SOUND_HAHA] = 'haha.ogg',
    [CHAR_SOUND_HAHA_2] = 'hohoha.ogg',
	[CHAR_SOUND_DOH] = 'gagh.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'yippiekiyay.ogg',
    [CHAR_SOUND_HOOHOO] = 'dmhm.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'dlaugh.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'gotcha.ogg',
    [CHAR_SOUND_ON_FIRE] = 'oughagh.ogg',
    [CHAR_SOUND_OOOF] = 'deimos_oof.ogg',
    [CHAR_SOUND_OOOF2] = 'dammit.ogg',
	[CHAR_SOUND_HRMM] = 'dgrunt.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'dpunch1.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'dpunch2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'dpunch3.ogg',
	[CHAR_SOUND_UH] = 'dope.ogg',
    [CHAR_SOUND_UH2] = 'tope.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'gotcha.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'giggle.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'ough.ogg',
    [CHAR_SOUND_WAH2] = 'wah.ogg',
    [CHAR_SOUND_WHOA] = 'what.ogg',
    [CHAR_SOUND_YAHOO] = 'heha.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'djump1.ogg', 'djump2.ogg', 'djump3.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'dpunch1.ogg', 'dpunch2.ogg', 'dpunch3.ogg'},
}

if _G.charSelectExists then
    _G.charSelect.character_add("Deimos", {"There you are."}, "eldritchmeat", {r = 237, g = 234, b = 45}, E_MODEL_DEIMOS_MODEL, CT_MARIO, get_texture_info("deimos"))

    _G.charSelect.character_add_voice(E_MODEL_DEIMOS_MODEL, VOICETABLE_DEIMOS)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_DEIMOS then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_DEIMOS then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#a32317\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end